###
# ~~~~~~licensing~~~~~~
# artifact-management
# ==========
# Copyright (C) 2020 - 2021 EmDev LLC
# ==========
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~~~~/licensing~~~~~~
###
##
# Local node repository
##
# Only location and snapshots are configurable, repo is always folder-based 
local.location=${karaf.data}/local-repo
# set true if repo should be searched for snapshots
local.snapshots = false

##
# Shared (cluster) repository
##
# Can be folder-based or proxy for Maven repo (i.e. Nexus) 
shared.location=${karaf.home}/shared-repo
# set 'true' if proxy 
shared.proxy=false
# set value if proxy 
shared.remotes=

# hardcoded to 'true', left for information
# shared.mirror=true

# set true if repo should be searched for snapshots
shared.snapshots = false
# credentials for upload to repository
shared.username=
shared.password=
            
##
# Updates (and extras) repository
##
# Can be folder-based or proxy for Maven repo (i.e. Nexus) 
updates.location=
updates.proxy=true

# hardcoded to 'true', left for information
#updates.mirror=true

updates.remotes=https://nexus.entaxy.ru/nexus/repository/entaxy-public/
# set true if repo should be searched for snapshots
updates.snapshots = false
# set 'false' if not used
updates.enabled=true
